<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>

<head>

<title>Postfix Add-on Software</title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
<link rel='stylesheet' type='text/css' href='postfix.css'>

</head>

<div id='left'>

<p> <img src="mysza.gif" width="130" height="91" alt="[LOGO]"> </p>

<p class='navhead'>QUICK LINKS</p>

    <p class='nav'><a href="start.html">Home</a> </p>

    <p class='nav'><a href="announcements.html">Announcements</a> </p>

    <p class='nav'><a href="non-english.html">Non-English Info</a> </p>

    <p class='nav'><a href="features.html">Feature overview </a> </p>

    <p class='nav'><a href="web-sites.html">Web sites (text)</a> </p>

    <p class='nav'><a href="download.html">Download (source)</a> </p>

    <p class='nav'><a href="lists.html">Mailing lists</a> </p>

    <p class='nav'><a href="press.html">Press and Interviews</a> </p>

    <p class='nav'><a href="documentation.html">Documentation</a> </p>

    <p class='nav'><a href="docs.html">Howtos and FAQs</a> </p>

    <p class='nav'><a href="addon.html">Add-on Software</a> </p>

    <p class='nav'><a href="packages.html">Packages and Ports</a> </p>

    <p class='nav'><a href="mirror.html">Becoming a mirror site</a> </p>

<p class='navhead'></p>

    <form method="get" action="http://www.google.com/search">
    <p class='nav'>
	<input size="-1" type="submit" value="Search"><br>

	<input type="text" name="q" size="16" maxlength="255" value=""> 
	<input type="hidden" name="sitesearch" value="www.postfix.org">
    </p>
    </form>

</div>

<div id='main'>

<h1>Postfix Add-on Software</h1>

<p> To have information listed on this page, please send mail to
wietse@porcupine.org.  The information listed here is maintained
by the respective authors.  It is listed without formal evaluation,
in other words, no implied warranty of any kind. </p>

<blockquote>

<p class='nav'>

<a href="#auth">authentication</a> |

<a href="#web">webmail</a> |

<a href="#security-gateway">PGP/SMIME gateways</a> |

<a href="#policy">policy servers/libraries</a> |

<a href="#poke">open proxy/relay detection</a>

</p>

<p class='nav'>

<a href="#before">before smtp auth</a> |

<a href="#certified">certified email</a> |

<a href="#config">run/configuration/queue/user mgt</a> |

<a href="#content">virus/spam content filters</a>

</p>

<p class='nav'>

<a href="#cover">disclaimers</a> |

<a href="#fax">fax<->mail</a> |

<a href="#lists">list managers</a> |

<a href="#logfile">logfile analysis</a> |

<a href="#lookup">lookup tables</a> |

<a href="#pop">pop/imap</a> |

<a href="#pkgmaint">package mgt</a>

</p>

<p class='nav'>

<a href="#autoreply">autoreply</a> |

<a href="#quota">quota</a> |

<a href="#clients">miniature clients</a> |

<a href="#other">other</a>

</p>

</blockquote>

<p> This page lists tools, add-ons and howtos by subject. Just to be
clear on what I am talking about, here is a brief definition of
the terminology that is used below: </p>

<ul>

<li>Utility, system - requires no change to Postfix source code.

<li>Patch - requires making changes to Postfix source code.

<li>Howto - examples of using add-on software with Postfix.

</ul>

<h3><a name="auth">Authentication</a></h3>

<ul>

<li> <a href="http://www.opendkim.org">OpenDKIM</a> MILTER
plugin for Domain Keys Identified Mail.

<li> <a href="http://jason.long.name/dkfilter/">dkfilter</a> mail
signing filter by Jason Long (code and instructions).

<li> <a href="http://sourceforge.net/projects/dkim-milter/">dkim-milter</a>
domainkeys identified mail signer/verifier. This uses the Postfix
2.3 plug-interface for Sendmail mail filters. See also the Postfix
<a href="http://www.postfix.org/MILTER_README.html">MILTER_README</a>
documentation.

<li> <a href="http://sourceforge.net/projects/dk-milter/">dk-milter</a>
domainkeys signer/verifier. This uses the Postfix 2.3 plug-interface
for Sendmail mail filters. See also the Postfix <a
href="http://www.postfix.org/MILTER_README.html">MILTER_README</a>
documentation.

<li> <a href="http://sourceforge.net/projects/sid-milter/">sid-milter</a>
Sender-ID verifier. This uses the Postfix 2.3 plug-interface for
Sendmail mail filters. See also the Postfix <a
href="http://www.postfix.org/MILTER_README.html">MILTER_README</a>
documentation.

</ul>

<h3><a name="web">Webmail</a></h3>

<ul>

<li> <a href="http://www.vpostmaster.com">vPostmaster</a> mail
server with policy filters, POP3, IMAP, webmail, greylisting.
Free for non-commercial use.

<li> <a href="http://www.roundcube.net">Roundcube</a> browser-based
mail client with a desktop-like user interface.

<li> <a href="http://www.zimbra.com/">Zimbra</a> Collaboration Suite
with email, contact management and group calendaring.

<li> <a href="http://phpgroupware.org">phpGroupWare</a> multi-user groupware
suite written in PHP.

<li><a href="http://www.squirrelmail.org/">Squirrelmail</a> PHP4 based system.

<li><a href="http://openwebmail.org/">OpenWebmail</a> system.

<li><a href="http://atmail.com/webmail_client.php">Atmail Webmail</a>
POP3/IMAP Webmail client which includes an Ajax interface and
multiple Webmail templates.

<li><a href="http://horde.org/imp/">IMP</a> system.

<li><a href="http://neomail.sourceforge.net/">NeoMail</a> system.

<li><a href="http://camas.caudium.net/">CAMAS</a> system, an IMHO variant.

<li><a href="http://www.lysator.liu.se/~stewa/IMHO/">IMHO</a> system.

</ul>

<ul>

<li> <a href="http://www.contactoffice.com">Virtual office ContactOffice</a>.

<li> <a href="http://www.novell.com/products/openenterpriseserver/">Novell Open Enterprise Server</a> (formerly: SUSE Openexchange Server).

<li> <a href="http://mail-server.trustix.com/home/">Trustix Mail Server</a>.

</ul>

<h3><a name="security-gateway">PGP/SMIME Gateways</a></h3>

<ul>

<li> <a href="http://www.djigzo.com">DjigZo</a> Open source email
encryption gateway.

<li> <a href="http://freshmeat.net/projects/z1securemailgateway/">
Z1 SecureMail Gateway</a> Security server for email using S/MIME
and PGP.

</ul>

<h3><a name="policy">Policy servers/libraries</a></h3>

<ul>

<li><a href="http://pfxpold.wiki.sourceforge.net/"> pfxpold</a>
policy daemon with plug-in policy support by Martin Schmitt.

<li><a href="http://postgrey.schweikert.ch/">Postgrey</a>
greylist policy server in Perl by David Schweikert.

<li><a href="http://sqlgrey.sourceforge.net/">Sqlgrey</a>
an sql-based fork of the postgrey daemon. 

<li><a href="http://code.google.com/p/gross/">Gross</a>
greylist server by Eino Tuominen and Antti Siira.

<li><a href="http://policyd.sourceforge.net">policyd</a> policy 
server in C which provides greylisting, sender (envelope, SASL
or host/ip) based throttling (messages and/or volume per hour)
and spamtraps by Cami Sardinha.

<li><a href="http://postfwd.org/">postfwd</a> policy server, written
in Perl, combines complex Postfix restrictions in a ruleset similar
to those of the most firewalls.

<li><a href="http://home.gna.org/apolicy/">apolicy</a> or "ACL
Policy Daemon" in Python by Miguel Filho.

<li><a href="http://kmlinux.fjfi.cvut.cz/~vokac/activities/ppolicy/">
ppolicy</a> policy server in Python, by Petr Vokac.

<li><a href="http://www.corpit.ru/mjt/smtpd-policy-template.pl">
smtpd-policy-template</a> skeleton policy server in Perl
by Michael Tokarev.

<li><a href="http://www.gasmi.net/gld.html">gld</a> greylist
server with MySQL database by Salim Gasmi.

<li><a href="http://sqlgrey.sourceforge.net">SQLgrey</a>:  greylist
policy server with auto-whitelisting in Perl with support for
PostgreSQL, MySQL and SQLite storage by Lionel Bouton.

<li><a href="http://mimo.gn.apc.org/gps/">gps</a> greylist policy
server in C++ using MySql, Postgres, or SQLite by Michael Moritz.

<li><a href="http://www.kim-minh.com/pub/greyfix/"> Greyfix </a>
greylist policy server in C with Berkeley DB database by Kim Minh
Kaplan.

<li><a href="http://www.policyd-weight.org/">policyd-weight</a>
weighted policy daemon by Robert Felber, to score DNSBLs, HELOs,
FROMs, and Client IP Addresses, and reject mail before any queuing
is done.

<li><a href="http://www.tummy.com/Community/software/tumgreyspf/">
tumgreyspf</a> Greylisting and SPF policy server by Sean Reifschneider.
This uses the file system (instead of a database file) for storing
greylist data and configuration information.

<li><a href="http://www.libspf.org/">libspf</a> library and patch.

<li><a href="http://www.linuxrulz.org/nkukard/postfix/">libspf2</a>
patch by Nigel Kukard.

<li><a href="http://www.ipnet6.org/postfix/spf/">libspf2</a> patch by
Dean Strik. 

</ul>

<p> Note: Postfix already ships with SPF support, in the form of
a plug-in policy daemon. This is the preferred integration model,
at least until SPF is mandated by standards. </p>

<h3><a name="poke">Open relay/proxy detection</a></h3>

<ul>

<li><a href="http://www.yoobay.net/grinch/">grinch</a> utility by
Daniel Mack.  On request by Postfix, it finds out if a host is an
open mail relay and caches the result.

<li><a href="http://www.corpit.ru/mjt/proxycheck.html">proxycheck
</a> open proxy detection utility by Michael Tokarev. Some additional
scripting is required to integrate with Postfix.

</ul>

<h3><a name="before">Before SMTP authentication</a></h3>

<ul>

<li><a href="http://popbsmtp.sf.net/">
pop-before-smtp</a> utility by Bennett Todd.

<li><a href="ftp://victor.teaser.fr/pub/lwa/postfix/">whoson</a>
patch by Laurent Wacrenier.

<li><a href="http://www.arschkrebs.de/postfix/postfix_pop-before-smtp_en.shtml">
pop-before-smtp</a> howto by Ralf Hildebrandt.

<li><a href="http://www.arschkrebs.de/postfix/postfix_drac.shtml">
DRAC</a> howto by Ralf Hildebrandt.

<!--
<li><a href="http://www.number8.net/software.html">POP-before-SMTP</a>
using a one-file-per-key lookup mechanism by Tim Tsai, number8.net.
-->

</ul>

<h3><a name="certified">Certified email</a></h3>

<ul>

<li> <a href="http://www.openpec.org/">OpenPec</a> Certified email
system by <a href="http://www.exentrica.it">EXEntrica S.r.l.</a>.

</ul>

<h3><a name="config">Run/Configuration/Queue/User management</a></h3>

<ul>

<li> <a href="https://code.google.com/p/vimbadmin/">ViMbAdmin</a>
Virtual Mailbox Administration web application by Open Solutions,
Ireland.

<li> <a href="http://www.korreio.sf.net">Korreio</a> is a graphical
toolkit to electronic mail systems management.  It has several
independent modules: Postfix Queue Manager, LDAP management,
Cyrus-IMAP Mailbox management and Cyrus-Sieve management.

<li> <a href="http://www.kyapanel.com">KyaPanel</a> server manager
from Anahuac.

<li> <a href="http://www.captain-mail.com">Captain Mail</a> from
Yukthi Systems Pvt. Ltd.

<li> <a href="http://www.phamm.org">Phamm</a> Web Based Management
tool for Virtual Domains and Virtual Users that are stored in LDAP.

<li> <a href="http://www.postconf.com/">POSTCONF Mail Server</a>.

<li> Running Postfix with <a
href="http://www.petertribble.co.uk/Solaris/smf.html"> Solaris 10
SMF</a> by Geoff Gibbs.

<li> <a href="http://www.ravencore.com/">RavenCore Hosting Control
panel</a> web-based control panel uses dovecot for POP3/IMAP, and
configures multi-user / multi-domain email addresses with SMTP
authentication via SASL. Also has the option for spamassassin and
clamav for mail scanning.

<li> <a href="http://www.vmailadmin.org">vMail.Admin</a> web-based
management tool designed for Postfix and Courier-IMAP email servers,
for administrators and end users. Specific examples are given for
MySQL and SpamAssassin.

<li> <a href="http://pfqueue.sourceforge.net/">pfqueue</a>
Postfix queue management utility.

<li> <a
href="http://www.roadstead.com/weblog/Tutorials/PostfixEnabler.html">
Postfix enabler</a> utility for Mac OS X. Sets up SMTP, POP3, IMAP,
SSL support, SASL (client or server).

<li> <a href="http://www.web-cyradm.org/"> Web-cyradm.org</a> Web
Based Management tool for Postfix, Cyrus IMAP, and MySQL or PostgreSQL
by Luc de Louw.

<li> <a href="http://high5.net/postfixadmin/">
Postfix Admin</a> a Web Based Management tool for 
Virtual Domains and Virtual Users that are stored in MySQL.

<li><a href="http://www.webmin.com/webmin/">webmin</a> system has
a Postfix configuration module. 

<li>webmin system <a href="http://www.swelltech.com/support/webminguide/">
documentation</a>.

<li><a href="http://www.loomsday.co.nz/development?id=tequila">tequila</a>
system for Postfix configuration management, including mail forwarding
and autoreply.

<li><a href="http://www.postfixvirtual.net/">postfixmanager</a>
user management tool for Postfix by Genco YILMAZ.

<li><a href="http://archives.neohapsis.com/archives/postfix/2002-05/0027.html">
BASH script</a> for automatic completion of postconf commands
by Carsten Hoeger.

</ul>

<h3><a name="content">Virus/SPAM content filters</a></h3>

<ul>

<li><a href="http://www.ijs.si/software/amavisd/">amavisd-new</a> utility,
a high-performance interface between MTA and virus/SPAM scanners.

<li><a href="http://solutions.drweb.com/maild/">Dr.Web</a> anti-virus
& anti-spam for Telecoms and businesses with heavy mail traffic;
available as solution and SDK.

<li><a href="http://messagepartners.com/solutions/mpp_postfix.html">
MPP for Postfix</a> antivirus, antispam, archival, access control,
content filtering, thresholds, auto-black lists, spam traps, and
more.

<li><a href="http://spamassassin.apache.org/"> SpamAssassin</a>
mail labeling system.

<li><a href="http://www.terena.org/~visser/awl.php">Automagically
whitelist recipients from postfix in Spamassassin</a> utility by
Dick Visser.

<li><a href="http://www.xamime.com/">Xamime</a> email content
management system.

<li><a href="http://www.fatofthelan.com/articles/articles.php?pid=22">
Postfix+Amavis+ClamAV+Spamassassin</a> howto by Tobias Rice.

<li><a href="http://memberwebs.com/nielsen/software/clamsmtp/">
ClamSMTP</a> content filter based on the ClamAV anti-virus software.

<li><a href="http://www.pc-tools.net/unix/renattach/"> renattach</a>
rename or delete attachments by file name or file type, by Jem
Berkes. Beware: prior to version 1.2.2 the "-p" or "--pipe"
command-line option is not safe and may result in munged addresses.

<li><a href="http://www.wdg.us/index.cfm/rd/mta/spampd.htm">
spampd</a> spam filtering, transparent SMTP/LMTP proxy using 
SpamAssassin, in Perl by Maxim Paperno.

<li><a href="http://www.flakshack.com/anti-spam/"> Anti-spam gateway</a>
howto using OpenBSD, Postfix, amavisd-new, SpamAssassin, Razor and
DCC.

<li><a href="http://www.goblet.net/spamkill/">per-user</a>
SpamAssassin filtering by Mikko Pikarinen.

<li><a href="http://www.freespamfilter.org/">
amavisd-new/Razor/SpamAssassin</a> setup tutorial by Scott Henderson.

<li><a href="http://www.mailscanner.info/">mailscanner</a> system,
works with Postfix and other MTAs. WARNING: This software uses
unsupported methods to manipulate Postfix queue files directly.
This will result in corruption or loss of mail.  The mailscanner
authors have sofar refused to discuss a proper access API or
protocol.

<li><a href="http://www.corpit.ru/avcheck/"> avcheck</a> utility
by Michael Tokarev. Interfaces to several virus scanning engines.

<li><a href="http://amavis.sourceforge.net/">amavis</a>
system, works with Postfix and other MTAs.

<li><a href="http://www.vanja.com/tools/sophie/"> sophie</a>
system, works with Postfix and other MTAs.

<li><a href="http://home.pages.de/~mandree/postfix/HOWTO-maildrop.html">
maildrop</a> howto by Matthias Andree. The maildrop delivery
agent is part of the <a href="http://www.courier-mta.org/">
Courier</a> mail server software.

<li><a href="http://mailtools.anomy.net/"> anomy</a> email sanitizer
system.

<li><a href="http://advosys.ca/tips/postfix-filtering.html"> anomy</a>
howto by Derrick Webber.

<li><a href="http://bent.latency.net/smtpprox/"> smtpprox</a>
generic SMTP filtering proxy by Bennett Todd.

<li><a href="http://www.centralcommand.com/mailserver.html">
Vexira Antivirus for Mail server</a> AntiVirus, AntiSpam, and more.
Supports Linux, FreeBSD, OpenBSD, Solaris, AIX.

<li><a
href="http://www.impsec.org/email-tools/procmail-security.html">
procmail</a> howto for sanitizing email by John D. Hardin.

<li><a href="http://crm114.sourceforge.net/"> crm114</a> mail
content inspection system.

<li> crm114 <a
href="http://www.macroscape.com/pdf/Postfix_CRM114.pdf">Postfix
howto</a> by Eugene Borukhovich.

<li><a href="http://tmda.sourceforge.net/">Tagged Message Delivery
Agent (TMDA)</a> by Jason R. Mastaler, a system that requires
unknown senders to send confirmation before they are put on a
whitelist.

<li><a href="http://www.lightspeed.cx/postfix"> html-trap</a>
utility by Samuel Seay for procmail-based content filtering.

<p>

<li><a href="http://jimsun.linxnet.com/misc/postfix-anti-UCE.txt">
Postfix Anti-UCE Cheat-Sheet</a> by Jim Seymour.

<li><a href="http://www.arschkrebs.de/postfix/">
UCE and other</a> howtos by Ralf Hildebrandt.

<li><a href="http://www.kfki.hu/~kadlec/sw/postfix_patch.html">Per-user
UCE controls</a> patch by Jozsef Kadlecsik.

<li><a href="http://www.spin.it/furio/rblplus-postfix.html">RBL+</a>
howto by  Furio Ercolessi; uses Jozsef Kadlecsik's patch.

<li><a href="http://taz.net.au/postfix/scripts/">RBL</a> analysis
tools by Craig Sanders.

<li><a href="http://www.brandeis.edu/~rcgraves/concierge">
concierge</a> utility by Rich Graves. Analyses Postfix logs and
sends mail to users whose mail was rejected by Postfix content
filtering.

</ul>

<h3><a name="cover">Disclaimers</a></h3>

<ul>

<li><a href="http://pldaniels.com/altermimepro">altermimepro</a>
disclaimer management system by Paul L Daniels.

</ul>

<h3><a name="fax">Fax<->Email software</a></h3>

<ul>

<li> <a href="http://www.faximum.com/">Faxmimum</a>Fax Messaging
Server (FMS) integrates with Postfix and other MTAs and provides
email-to-fax and fax-to-email gateways.

</ul>

<h3><a name="lists">List managers</a></h3>

<ul>

<li><a href="http://www.ecartis.org/">Ecartis</a> mailing list manager
system (formerly: Listar).

<li><a
href="http://archives.neohapsis.com/archives/postfix/2001-09/1527.html">
Listar</a> howto by Craig Sanders.

<li><a href="http://www.gurulabs.com/downloads.html">
Mailman</a> howto by Dax Kelson.

<li><a
href="http://postfixwiki.org/index.php?title=Virtual_Domain_with_Mailman_Lists">Mailman</a>
howto, including blocking mail for non-existent addresses, by Pasztor Gyorgy.

<li><a href="http://www.gnu.org/software/mailman/mailman.html">Mailman</a>,
the GNU Mailing List Management System.

<li><a href="http://www.csh.rit.edu/~jon/projects/majordomo/#postfix">
majordomo</a> howto by Jon Parise.

<li><a href="http://www.procmail.org/"> SmartList</a> Mailing List
Management System <a
href="http://archives.neohapsis.com/archives/postfix/2001-07/0782.html">
howto</a>.

</ul>

<h3><a name="logfile">Logfile analysis</a></h3>

<ul>

<li><a href="http://jimsun.LinxNet.com/postfix_contrib.html">
pflogsumm</a> logfile analyzer utility by Jim Seymour.

<li><a href="http://www.vanheusden.com/multitail/">multitail</a>
logfile analyzer utility, with color scheme, by Folkert van Heusden.

<li><a href="http://www.postconf.com/docs/spamrep/">Spamrep</a>
detailed server, user, and domain reports on filter activity.

<li><a href="http://awstats.sourceforge.net/">AWStats</a>
logfile analyzer system.

<li><a href="http://anteater.sourceforge.net/">Anteater
</a> logfile analysis system by Tobias Erbsland.

<li><a href="http://mailgraph.schweikert.ch/">
mailgraph</a>, an RRDtool frontend utility by David Schweikert.

<li><a href="http://taz.net.au/postfix/mrtg/">mailstats</a>
logfile analyzer utility by Craig Sanders.

<li><a href="http://www.LogReport.org">LogReport</a> logfile analyzer
system. On-line log report processing is available at <a
href="mailto:log@postfix.logreport.org">log@postfix.logreport.org</a>.

<li><a href="http://sourceforge.net/projects/logrep">Logrep</a>
logfile analyzer system. 

<li><a href="http://www.enderunix.org/isoqlog/">Isoqlog</a>
logfile analyzer system (also supports qmail and Sendmail).
</ul>

<h3><a name="lookup">Lookup tables</a></h3>

<ul>

<li><a href="http://d.scn.ru/proj/postfix/">pam</a> lookup table
by Andrew I Baznikin; for example, use this to implement
local_recipient_maps with RADIUS.

<li><a href="http://www.xyzzy.no/software/cidr2abc/">cidr2abc</a>
utility by Gjermund Sorseth to convert arbitary net/mask patterns
into octet based patterns such as used in Postfix access maps.

<li><a href="ftp://ftp.hgmp.mrc.ac.uk/pub/ggibbs/nisplus.tar.gz">
NIS+</a> patch by Geoff Gibbs.

<li><a href="ftp://ftp.corpit.ru/pub/postfix/README.CDB">cdb</a> patch
by Michael Tokarev.

<li><a href="ftp://ftp.corpit.ru/pub/tinycdb/">tinycdb</a> Michael
Tokarev's own CDB implementation.

<li><a href="http://kummefryser.dk/HOWTO/">Mysql</a> howto by Daniel
V. Pedersen.  Uses the Postfix virtual(8) delivery agent.

</ul>

<h3><a name="pop">POP/IMAP servers</a></h3>

<p> For howto documents, see <a href="docs.html">Howtos and FAQs</a>. </p>

<ul>

<li><a href="http://www.dovecot.org/">Dovecot</a> system
implements IMAP and POP, and supports TLS.

<li><a href="http://vergenet.net/linux/perdition/"> perdition</a>
system is a smart POP/IMAP <b>proxy</b> that connects users to the
"right" POP/IMAP server.

<li><a href="http://asg.web.cmu.edu/cyrus/">Cyrus IMAP</a> system
implements IMAP, POP3, and KPOP, later versions also support TLS.
This software implements its own private mail database system. Not
for beginners.

<li><a href="http://www.probsd.net/vmail/">vmail admin</a> a set
of PHP and PERL scripts for administering virtual domains on a pop
toaster that uses Postfix, Postfix virtual or Courier IMAP, and MYSQL.

<li><a href="http://www.courier-mta.org/imap/">Courier-Imap</a>
system provides POP3 and IMAP, and supports access over
SSL.  This software supports the maildir-style mailbox format only
(one message per file, same format as qmail).

<li><a href="http://www.eudora.com/qpopper/">Qpopper</a> system
supports POP3, TLS (SSL), and uses the traditional UNIX-style
mailbox format (multiple messages per file, each message starts
with "From sender date...").

</ul>

<h3><a name="pkgmaint">Package management</a></h3>

<ul>

<li><a href="http://www.vkeys.net/postfix/">Solaris</a> utility to
create Postfix installable packages.

</ul>

<h3><a name="autoreply">Autoreply software</a></h3>

<ul>

<li><a href="http://frost.ath.cx/~branko/software/yaa/">yaa!  </a>
(yet another autoresponder) autoreply utility by Branko Grac.  This
can run as a one-time command at the end of a pipe, or as a resident
server.

<li>Autoreply system <a href="http://unwin.org/postfix/">architecture</a>
by Joshua E. Warchol.  You still need to provide the PERL script
that does the actual responding.

<li><a href="http://www.onyxbits.de/gnarwl/">gnarwl</a>
autoreply utility by Patrick Ahlbrecht. This uses LDAP instead of
.forward+vacation.

</ul>

<h3><a name="quota">Quota software</a></h3>

<ul>

<li><a href="http://www.linuxrosario.com.ar/proyectos.html">quota</a>
policy daemon script by Pablo Armando.

<li><a href="http://www.kagekaze.org/postfix/">Per-user mailbox
quota</a> patch by Keith Stevenson. Not part of Postfix because it
does not work with maildir files and because users with .forward
files can bypass quota restrictions.

<li><a href="http://www.cpan.org/modules/by-authors/id/R/RM/RMALAFAIA/postmmon/"> PostmMon</a>
Postfix Mail Box Monitor by Eduardo Mendes and Ricardo Malafaia.
This sends mail notifications when a user has too much mail.

<li><a href="http://web.onda.com.br/nadal/"> Postfix virtual delivery
agent patches</a> with additional features including quota by
Anderson Nadal.

</ul>

<h3><a name="clients">Miniature client software</a></h3>

<ul>

<li><a href="http://www.acme.com/software/mini_sendmail/">
mini_sendmail</a> utility by Jef Poskanzer, a minimal program to
submit mail over SMTP, for example, from a chrooted WWW server.

<li><a href="http://nbsmtp.ferdyx.org/"> nbSMTP</a> (no-brainer
SMTP) utility by Fernando Jose Pereda Garcimartin.

</ul>

<h3><a name="other">Other software</a></h3>

<ul>


<li><a href="http://www.sevenrains.ro/pak/pfix_error.patch">
configurable SMTP server error replies</a> by Corcalciuc V. Horia

<li><a
href="http://www.pobox.com/~sjmudd/postfix/">
Multi-line SMTP banners</a> patch by Simon J Mudd. Grumble.

<li><a href="ftp://ftp.corpit.ru/pub/postfix/README"> Patches</a>
by Michael Tokarev.

<!--
<li><a href="http://www.uninet.ee/~ragnar/postfix/"> Patches</a>
by Ragnar Kurm.
-->

<li><a href="http://asteroid-b612.org/software/"> Patches</a> by
Cygnus: mail spool hashing, mailbox size limit, maildir size limit.

</ul>

</div>

</body>

</html>
